<?php
    session_start();
	ob_start();

	$id_users = isset($_SESSION['id_users']) ? $_SESSION['id_users']: "";	
	$nome_user = isset($_SESSION['nome']) ? $_SESSION['nome']: "";	
	$email_users = isset($_SESSION['email']) ? $_SESSION['email']: "";	
	$pass_users = isset($_SESSION['pass']) ? $_SESSION['pass']: "";	
	$logado = isset($_SESSION['logado']) ? $_SESSION['logado']: "N";	

	if ($logado == "N" && $id_users == ""){	    
		echo  "<script type='text/javascript'>
					location.href='login.php'
				</script>";	
		exit();
	}

	require_once('functions.php');
    require 'conexion.php';
	include(HEADER_TEMPLATE);
		
    $idProd = $_POST['idProd'];
	$setor = $_POST['setor'];
	$qtd = $_POST['qtd'];	
	$registro = date('Y-m-d H:i:s');
	$obs = $_POST['obs'];		
    $ativo = "1";  
	$totalzao = $_POST['totalzao'];

	$limite = "SELECT  SUM(qtd) as qtd_lim FROM apontamentos WHERE id_producao = '$idProd' AND setor = '$setor' AND ativo = '1'";	
    $lim = $mysqli->query($limite);
	$row = $lim->fetch_array(MYSQLI_ASSOC);	
	
	IF ( $totalzao < ( $row['qtd_lim'] + $qtd ) ) {

	?>		
		<div class="alert alert-warning">
			<strong>* ATENÇÃO *</strong> A soma do valor informado + Quantidades é ( <?php echo ( $row['qtd_lim'] + $qtd ) ; ?> ), portanto ultrapassa a quantidade requerida da produção, que é de <?php echo $totalzao ; ?> peças
			<a href="javascript:window.history.go(-1)">Retornar</a>
		</div>
		
	<?php		
    } ELSE {
		$apontamento = "INSERT INTO apontamentos(apontador, id_producao , setor, qtd, registro, obs, ativo) VALUES ('$nome_user', '$idProd', '$setor', '$qtd', '$registro', (UPPER('$obs')), '$ativo')";
		$res = $mysqli->query($apontamento);
		echo $apontamento;
	?>
	<META HTTP-EQUIV=REFRESH CONTENT = '0;URL=<?php echo BASEURL; ?>apontamento_index.php?id=<?php echo $idProd; ?>&filter=1&route=1'>
	<?php 
	
	} 
	
	include(FOOTER_TEMPLATE);
	
	?>

      